summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:19:51 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:19:51 -0600
commit62a258a6023d00bcdf8b3bdcd823005f32966533 (patch)
tree6621249f8feb34823e409775eba2138844538990
parentae8e245f0987ac284a7859341d97315e1b8cf325 (diff)
downloadmock-62a258a6023d00bcdf8b3bdcd823005f32966533.tar.gz
mock-62a258a6023d00bcdf8b3bdcd823005f32966533.tar.xz
mock-62a258a6023d00bcdf8b3bdcd823005f32966533.zip
run bash built-in 'time' rather than /usr/bin/time because bash built-in has more user-friendly output. fixup error where $CHROOT was not taking into account --uniqueext.
-rwxr-xr-xdocs/releasetests.sh30
1 files changed, 15 insertions, 15 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 32faf79..ec9ccae 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -27,44 +27,44 @@ make src/daemontest
# most tests below will use this mock command line
#
testConfig=fedora-8-x86_64
-MOCKCMD="time sudo ./py/mock.py --resultdir=$TOP_SRCTREE/mock-unit-test --uniqueext=unittest -r $testConfig"
-CHROOT=/var/lib/mock/$testConfig/root
+MOCKCMD="sudo ./py/mock.py --resultdir=$TOP_SRCTREE/mock-unit-test --uniqueext=unittest -r $testConfig"
+CHROOT=/var/lib/mock/${testConfig}-unittest/root
#
# pre-populate yum cache for the rest of the commands below
#
-$MOCKCMD --init
-$MOCKCMD --installdeps mock-*.src.rpm
+time $MOCKCMD --init
+time $MOCKCMD --installdeps mock-*.src.rpm
#
# Test offline build
#
-$MOCKCMD --offline --rebuild mock-*.src.rpm
+time $MOCKCMD --offline --rebuild mock-*.src.rpm
#
# Test orphanskill feature
#
(pgrep daemontest && echo "Exiting because there is already a daemontest running." && exit 1) || :
-$MOCKCMD --offline --init
+time $MOCKCMD --offline --init
cp src/daemontest $CHROOT/tmp
-$MOCKCMD --offline --chroot -- /tmp/daemontest
+time $MOCKCMD --offline --chroot -- /tmp/daemontest
(pgrep daemontest && echo "Daemontest FAILED. found a daemontest process running after exit." && exit 1) || :
#
# test init/clean
#
-$MOCKCMD --offline --clean
-$MOCKCMD --offline --init
-$MOCKCMD --offline --install ccache
-[ -e $CHROOT/usr/bin/ccache ] || (echo "init/clean test FAILED. ccache not found." && exit 1)
+time $MOCKCMD --offline --clean
+time $MOCKCMD --offline --init
+time $MOCKCMD --offline --install ccache
+[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found." && exit 1
#
# test old-style cmdline options
#
-$MOCKCMD --offline clean
-$MOCKCMD --offline init
-$MOCKCMD --offline install ccache
-[ -e $CHROOT/usr/bin/ccache ] || (echo "init/clean test FAILED. ccache not found." && exit 1)
+time $MOCKCMD --offline clean
+time $MOCKCMD --offline init
+time $MOCKCMD --offline install ccache
+[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found." && exit 1
#
# Test build all configs we ship.